Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 5947)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 6044)
@@ -836,406 +910,492 @@
 					 */
 
-					var user = DataLayer.get('user', ["=", "mail", $(this).val()]);
-					if(!!user && user[0].id)
-						attendees[user[0].id] = {name: user[0].name};
+	var user = DataLayer.get('user', ["=", "mail", $(this).val()]);
+	if(!!user && user[0].id)
+	    attendees[user[0].id] = {
+		name: user[0].name
+		};
 					
-					/**
+	/**
 					 * guarda o último tooltip aberto referente à lista de participantes 
 					 */
-					lastEditAttendeeToolTip = [];
-
-					/**
+	lastEditAttendeeToolTip = [];
+
+	/**
 					 * Valida email e salva um participante externo 
 					 */
-					var saveContact = function() {
-						Encoder.EncodeType = "entity";
-
-						var currentTip = $('.qtip-active');
-						newAttendeeName  = currentTip.find('input[name="name"]').val();
-						newAttendeeEmail = currentTip.find('input[name="mail"]').val();
-
-						if (!(!!newAttendeeEmail.match(/^[\w!#$%&'*+\/=?^`{|}~-]+(\.[\w!#$%&'*+\/=?^`{|}~-]+)*@(([\w-]+\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])$/))) {
-							currentTip.find('.messages').removeClass('hidden').find('.message label').html('Email inválido.');
-							return false;
-						}
-
-						DataLayer.put('user', {id:userId, name:newAttendeeName, mail:newAttendeeEmail, isExternal:isExternal});
-
-						lastEditAttendeeToolTip.find('label')
-						.filter('.name').html(Encoder.htmlEncode(newAttendeeName)).attr('title', Encoder.htmlEncode(newAttendeeName)).end()
-						.filter('.mail').html(Encoder.htmlEncode(newAttendeeEmail)).attr('title', Encoder.htmlEncode(newAttendeeEmail));
-
-						blkAddAtendee.find('.attendee-list-add .add-attendee-input input').val('');
-						return true;
-					}
+	var saveContact = function() {
+	    Encoder.EncodeType = "entity";
+
+	    var currentTip = $('.qtip-active');
+	    newAttendeeName  = currentTip.find('input[name="name"]').val();
+	    newAttendeeEmail = currentTip.find('input[name="mail"]').val();
+
+	    if (!(!!newAttendeeEmail.match(/^[\w!#$%&'*+\/=?^`{|}~-]+(\.[\w!#$%&'*+\/=?^`{|}~-]+)*@(([\w-]+\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])$/))) {
+		currentTip.find('.messages').removeClass('hidden').find('.message label').html('Email inválido.');
+		return false;
+	    }
+
+	    DataLayer.put('user', {
+		id:userId, 
+		name:newAttendeeName, 
+		mail:newAttendeeEmail, 
+		isExternal:isExternal
+	    });
+
+	    lastEditAttendeeToolTip.find('label')
+	    .filter('.name').html(Encoder.htmlEncode(newAttendeeName)).attr('title', Encoder.htmlEncode(newAttendeeName)).end()
+	    .filter('.mail').html(Encoder.htmlEncode(newAttendeeEmail)).attr('title', Encoder.htmlEncode(newAttendeeEmail));
+
+	    blkAddAtendee.find('.attendee-list-add .add-attendee-input input').val('');
+	    return true;
+	}
 						
-					/**
+	/**
 					 * Formata e adequa um tootip abert para edição de um participante na lista
 					 */
-					var onShowToolTip = function(arg0) {
-						$('.qtip-active .button.close').button({
-							icons: {primary: "ui-icon-close"},
-							text: false
-						});
-						$('.qtip-active .button').button()
-						.filter('.save').click(function(event, ui) {
-							if(saveContact())
-								lastEditAttendeeToolTip.qtip("destroy");
-							else
-								return false;
-						}).end()
-						.filter('.cancel').click(function(event, ui) {
-							lastEditAttendeeToolTip.qtip("destroy");
-						})
-
-						/** 
+	var onShowToolTip = function(arg0) {
+	    $('.qtip-active .button.close').button({
+		icons: {
+		    primary: "ui-icon-close"
+		},
+		text: false
+	    });
+	    $('.qtip-active .button').button()
+	    .filter('.save').click(function(event, ui) {
+		if(saveContact())
+		    lastEditAttendeeToolTip.qtip("destroy");
+		else
+		    return false;
+	    }).end()
+	    .filter('.cancel').click(function(event, ui) {
+		lastEditAttendeeToolTip.qtip("destroy");
+	    })
+
+	    /** 
 						 * Trata o ENTER no campo da tooltip, equivalente a salvar 
 						 * o novo convidado.
 						 */
-						$('.qtip-active input').keydown(function(event) {
-							if (event.keyCode == '13') {						
-								if (saveContact())						
-									lastEditAttendeeToolTip.qtip("destroy");
-			
-								lastEditAttendeeToolTip.qtip("destroy");
-								event.preventDefault();
-							}
-						})
-						.filter('[name="name"]').Watermark("informe o nome do contato").end()
-						.filter('[name="mail"]').Watermark("informe o email do contato");
-					}
+	    $('.qtip-active input').keydown(function(event) {
+		if (event.keyCode == '13') {						
+		    if (saveContact())						
+			lastEditAttendeeToolTip.qtip("destroy");
+			
+		    lastEditAttendeeToolTip.qtip("destroy");
+		    event.preventDefault();
+		}
+	    })
+	    .filter('[name="name"]').Watermark("informe o nome do contato").end()
+	    .filter('[name="mail"]').Watermark("informe o email do contato");
+	}
 					
-					/**
+	/**
 					 * Se o email digitado já foi adicionado na lista,
 					 * o usuário deve ser avisado e um botão de edição deve ser exibido
 					 */
-					if(blkAddAtendee.find('label.mail[title="' + newAttendeeEmail + '"]').length) {
-						hasNewAttendee  = false;
-						newAttendeeName = blkAddAtendee.find('label.mail[title="' + newAttendeeEmail + '"]').parents('li').find('label.name').attr('title');
-
-						blkAddAtendee.find('.email-validation').removeClass('hidden')
-						.find('.message label').html("O usuário acima já foi adicionado! <a class=\"small button\">Editar</a>")
-						.find(".button").button().click(function () { 
-							/**
+	if(blkAddAtendee.find('label.mail[title="' + newAttendeeEmail + '"]').length) {
+	    hasNewAttendee  = false;
+	    newAttendeeName = blkAddAtendee.find('label.mail[title="' + newAttendeeEmail + '"]').parents('li').find('label.name').attr('title');
+
+	    blkAddAtendee.find('.email-validation').removeClass('hidden')
+	    .find('.message label').html("O usuário acima já foi adicionado! <a class=\"small button\">Editar</a>")
+	    .find(".button").button().click(function () { 
+		/**
 							 * Se o usuário optar por editar o participante anteriormente adicionado,
 							 * uma tooltip deve ser aberta para este participante, viabilizando a edição
 							 */
-							blkAddAtendee.find("ul.attendee-list").scrollTo('label.mail[title="' + newAttendeeEmail + '"]');
-							/**
+		blkAddAtendee.find("ul.attendee-list").scrollTo('label.mail[title="' + newAttendeeEmail + '"]');
+		/**
 							 * Remove tooltip possivelmente existente
 							 */
-							if (lastEditAttendeeToolTip.length && lastEditAttendeeToolTip.data('qtip'))
-								lastEditAttendeeToolTip.qtip('destroy');
+		if (lastEditAttendeeToolTip.length && lastEditAttendeeToolTip.data('qtip'))
+		    lastEditAttendeeToolTip.qtip('destroy');
 					
-							lastEditAttendeeToolTip = blkAddAtendee.find('label.mail[title="' + newAttendeeEmail + '"]').parents('li');
-							lastEditAttendeeToolTip.qtip({
-								show: {ready: true, solo: true, when: {event: 'click'}},
-								hide: false,
-								content: {
-									text: $('<div></div>').html( DataLayer.render( path+'templates/attendee_quick_edit.ejs', {attendee:{name:newAttendeeName, mail:newAttendeeEmail}} ) ), 
-									title: {
-										text:'Detalhes do participante', 
-										button: '<a class="button close" href="#">close</a>'
-									}
-								},
-								style: {name: 'blue', tip: {corner: 'leftMiddle'}, border: {width: 4, radius: 8}, width: {min: 230, max:230}},
-								position: {
-									corner: {
-										target: 'rightMiddle',
-										tooltip: 'leftMiddle'
-									},
-									adjust: {x:0, y:0}
-								}
-							});
-							lastEditAttendeeToolTip.qtip("api").onShow = onShowToolTip;
-						});
-						skipAddNewLine = true;
-					} else {
-						hasNewAttendee  = true;
-						blkAddAtendee.find('.email-validation').addClass('hidden');
-					}
+		lastEditAttendeeToolTip = blkAddAtendee.find('label.mail[title="' + newAttendeeEmail + '"]').parents('li');
+		lastEditAttendeeToolTip.qtip({
+		    show: {
+			ready: true, 
+			solo: true, 
+			when: {
+			    event: 'click'
+			}
+		    },
+		hide: false,
+		content: {
+		    text: $('<div></div>').html( DataLayer.render( path+'templates/attendee_quick_edit.ejs', {
+			attendee:{
+			    name:newAttendeeName, 
+			    mail:newAttendeeEmail
+			}
+		    } ) ), 
+		title: {
+		    text:'Detalhes do participante', 
+		    button: '<a class="button close" href="#">close</a>'
+		}
+		},
+		style: {
+		    name: 'blue', 
+		    tip: {
+			corner: 'leftMiddle'
+		    }, 
+		    border: {
+			width: 4, 
+			radius: 8
+		    }, 
+		    width: {
+			min: 230, 
+			max:230
+		    }
+		},
+	    position: {
+		corner: {
+		    target: 'rightMiddle',
+		    tooltip: 'leftMiddle'
+		},
+		adjust: {
+		    x:0, 
+		    y:0
+		}
+	    }
+	    });
+	lastEditAttendeeToolTip.qtip("api").onShow = onShowToolTip;
+    });
+skipAddNewLine = true;
+} else {
+    hasNewAttendee  = true;
+    blkAddAtendee.find('.email-validation').addClass('hidden');
+}
 					
 					
-					var isExternal = (!!user && !(!!user.isExternal)) ? 0 : 1;
-
-					/**
+var isExternal = (!!user && !(!!user.isExternal)) ? 0 : 1;
+
+/**
 					 * Remove tooltip possivelmente existente
 					 */
-					if (lastEditAttendeeToolTip.length && lastEditAttendeeToolTip.data('qtip'))
-						lastEditAttendeeToolTip.qtip('destroy');
-
-					userId = '';
-					var newAttendeeId = '';
-
-					if (user){
-						if (!skipAddNewLine) {
-							user[0].id =  DataLayer.put('participant', {user: user[0].id, isExternal: isExternal, acl: 'r'});
-							user[0].acl = objEvent.acl
-
-							blkAddAtendee.find('dd.attendee-list ul.attendee-list').append(
-								DataLayer.render(path+'templates/participants_add_itemlist.ejs', user)
-							)
-							.scrollTo('max');
-							callbackAttendee();
-						}
+if (lastEditAttendeeToolTip.length && lastEditAttendeeToolTip.data('qtip'))
+    lastEditAttendeeToolTip.qtip('destroy');
+
+userId = '';
+var newAttendeeId = '';
+
+if (user){
+    if (!skipAddNewLine) {
+	user[0].id =  DataLayer.put('participant', {
+	    user: user[0].id, 
+	    isExternal: isExternal, 
+	    acl: 'r'
+	});
+	user[0].acl = objEvent.acl
+
+	blkAddAtendee.find('dd.attendee-list ul.attendee-list').append(
+	    DataLayer.render(path+'templates/participants_add_itemlist.ejs', user)
+	    )
+	.scrollTo('max');
+	callbackAttendee();
+    }
 						
-						$(this).val('');
-
-					} else if (!skipAddNewLine) {		
-						/**
+    $(this).val('');
+
+} else if (!skipAddNewLine) {		
+    /**
 						 * a) salva como novo usuario externo no banco (apenas com email) e...
 						 * adiciona novo contato externo à lista de convidados
 						 */
 
-						userId = DataLayer.put('user', {name: newAttendeeName, mail: newAttendeeEmail, isExternal: isExternal});
-						newAttendeeId = DataLayer.put('participant', {user: userId, isExternal: isExternal});
+    userId = DataLayer.put('user', {
+	name: newAttendeeName, 
+	mail: newAttendeeEmail, 
+	isExternal: isExternal
+    });
+    newAttendeeId = DataLayer.put('participant', {
+	user: userId, 
+	isExternal: isExternal
+    });
 
 						 
-						blkAddAtendee.find('dd.attendee-list ul.attendee-list').append(
-							DataLayer.render(path+'templates/participants_add_itemlist.ejs', [{id:newAttendeeId, name: newAttendeeName, mail: newAttendeeEmail, isExternal: 1, acl: objEvent.acl}])
-						).scrollTo('max');
-						callbackAttendee();
-
-						/** 
+    blkAddAtendee.find('dd.attendee-list ul.attendee-list').append(
+	DataLayer.render(path+'templates/participants_add_itemlist.ejs', [{
+	    id:newAttendeeId, 
+	    name: newAttendeeName, 
+	    mail: newAttendeeEmail, 
+	    isExternal: 1, 
+	    acl: objEvent.acl
+	    }])
+	).scrollTo('max');
+    callbackAttendee();
+
+    /** 
 						 * Adiciona tootip para atualização dos dados do contato externo
 						 * recém adicionado.
 						 */
-						lastEditAttendeeToolTip = blkAddAtendee.find('dd.attendee-list li:last');
-						lastEditAttendeeToolTip.qtip({
-							show: {ready: true, solo: true, when: {event: 'click'}},
-							hide: false,
-							content: {
-								text: $('<div></div>').html( DataLayer.render( path+'templates/attendee_quick_edit.ejs', {attendee:{name:newAttendeeName, mail:newAttendeeEmail}} ) ), 
-								title: {
-									text:'Detalhes do participante', 
-									button: '<a class="button close" href="#">close</a>'
-								}
-							},
-							style: {name: 'blue', tip: {corner: 'leftMiddle'}, border: {width: 4, radius: 8}, width: {min: 230, max:230}},
-							position: {
-								corner: {
-									target: 'rightMiddle',
-									tooltip: 'leftMiddle'
-								},
-								adjust: {x:0, y:0}
-							}
-						});
-			
-						lastEditAttendeeToolTip.qtip("api").onShow = onShowToolTip;
-
-						$(this).val('');
+    lastEditAttendeeToolTip = blkAddAtendee.find('dd.attendee-list li:last');
+    lastEditAttendeeToolTip.qtip({
+	show: {
+	    ready: true, 
+	    solo: true, 
+	    when: {
+		event: 'click'
+	    }
+	},
+    hide: false,
+    content: {
+	text: $('<div></div>').html( DataLayer.render( path+'templates/attendee_quick_edit.ejs', {
+	    attendee:{
+		name:newAttendeeName, 
+		mail:newAttendeeEmail
+	    }
+	} ) ), 
+    title: {
+	text:'Detalhes do participante', 
+	button: '<a class="button close" href="#">close</a>'
+    }
+    },
+    style: {
+	name: 'blue', 
+	tip: {
+	    corner: 'leftMiddle'
+	}, 
+	border: {
+	    width: 4, 
+	    radius: 8
+	}, 
+	width: {
+	    min: 230, 
+	    max:230
+	}
+    },
+position: {
+    corner: {
+	target: 'rightMiddle',
+	tooltip: 'leftMiddle'
+    },
+    adjust: {
+	x:0, 
+	y:0
+    }
+}
+});
+			
+lastEditAttendeeToolTip.qtip("api").onShow = onShowToolTip;
+
+$(this).val('');
 
 						
-					}
-					event.preventDefault();
-				}
+}
+event.preventDefault();
+}
 				
-			});
-
-			/** 
+});
+
+/** 
 			* Trata a busca de usuários para adição de participantes
 			*/
-			blkAddAtendee.find('.add-attendee-search .ui-icon-search').click(function(event) {
-				blkAddAtendee.find('.add-attendee-search input').keydown();
-			});
-			
-			
-			blkAddAtendee.find('.add-attendee-search input').keydown(function(event) {
-
-				if(event.keyCode == '13' || typeof(event.keyCode) == 'undefined') {			
-					var result = DataLayer.get('user', ["*", "name", $(this).val()], true);
-
-					/**
+blkAddAtendee.find('.add-attendee-search .ui-icon-search').click(function(event) {
+    blkAddAtendee.find('.add-attendee-search input').keydown();
+});
+			
+			
+blkAddAtendee.find('.add-attendee-search input').keydown(function(event) {
+
+    if(event.keyCode == '13' || typeof(event.keyCode) == 'undefined') {			
+	var result = DataLayer.get('user', ["*", "name", $(this).val()], true);
+
+	/**
 					* TODO: trocar por template
 					*/
-					blkAddAtendee.find('ul.search-result-list').empty().css('overflow', 'hidden');
-					if (!result) {
-						blkAddAtendee.find('ul.search-result-list').append('<li><label class="empty">Nenhum resultado encontrado.</label></li>');
-					}
-
-					for(i=0; i<result.length; i++)
-						result[i].enabled = (blkAddAtendee.find('dd.attendee-list ul.attendee-list label.mail[title="' +  result[i].mail + '"]').length) ? false : true;
+	blkAddAtendee.find('ul.search-result-list').empty().css('overflow', 'hidden');
+	if (!result) {
+	    blkAddAtendee.find('ul.search-result-list').append('<li><label class="empty">Nenhum resultado encontrado.</label></li>');
+	}
+
+	for(i=0; i<result.length; i++)
+	    result[i].enabled = (blkAddAtendee.find('dd.attendee-list ul.attendee-list label.mail[title="' +  result[i].mail + '"]').length) ? false : true;
 											
-					blkAddAtendee.find('ul.search-result-list').append(DataLayer.render( path+'templates/participants_search_itemlist.ejs', result));
-
-					blkAddAtendee.find('ul.search-result-list li').click(function(event, ui){
-						if ($(event.target).is('input')) {
-							old_item = $(event.target).parents('li');
-							newAttendeeId = DataLayer.put('participant', {user: old_item.find('.id').html(), isExternal: 0});
+	blkAddAtendee.find('ul.search-result-list').append(DataLayer.render( path+'templates/participants_search_itemlist.ejs', result));
+
+	blkAddAtendee.find('ul.search-result-list li').click(function(event, ui){
+	    if ($(event.target).is('input')) {
+		old_item = $(event.target).parents('li');
+		newAttendeeId = DataLayer.put('participant', {
+		    user: old_item.find('.id').html(), 
+		    isExternal: 0
+		});
 							
-							attendees[old_item.find('.id').html()] = old_item.find('.name').html();
+		attendees[old_item.find('.id').html()] = old_item.find('.name').html();
 							
-							blkAddAtendee.find('dd.attendee-list ul.attendee-list')
-							.append(DataLayer.render(path+'templates/participants_add_itemlist.ejs', [{id: newAttendeeId, name: old_item.find('.name').html(), mail: old_item.find('.mail').html(), isExternal: 0, acl: objEvent.acl}]))
-							.scrollTo('max');
-							/**
+		blkAddAtendee.find('dd.attendee-list ul.attendee-list')
+		.append(DataLayer.render(path+'templates/participants_add_itemlist.ejs', [{
+		    id: newAttendeeId, 
+		    name: old_item.find('.name').html(), 
+		    mail: old_item.find('.mail').html(), 
+		    isExternal: 0, 
+		    acl: objEvent.acl
+		    }]))
+		.scrollTo('max');
+		/**
 							* Delegação de participação de um participante com permissão apenas de leitura
 							*
 							*/
-							if(!objEvent.acl.organization && !objEvent.acl.write && !objEvent.acl.inviteGuests && objEvent.acl.read ){
+		if(!objEvent.acl.organization && !objEvent.acl.write && !objEvent.acl.inviteGuests && objEvent.acl.read ){
 								
-								blkAddAtendee.find('.block-add-attendee.search').addClass('hidden');
-								blkAddAtendee.find('.block-add-attendee.search dt').html('Adicionar outros contatos');
+		    blkAddAtendee.find('.block-add-attendee.search').addClass('hidden');
+		    blkAddAtendee.find('.block-add-attendee.search dt').html('Adicionar outros contatos');
 								
-								blkAddAtendee.find('.status option').toggleClass('hidden');
-								blkAddAtendee.find('option[value=5]').attr('selected','selected').trigger('change');
-								blkAddAtendee.find('.request-update').removeClass('hidden');
-
-								blkAddAtendee.find('dd.attendee-list ul.attendee-list li .button.close').parents('li').find('input[name="delegatedFrom[]"]').val(blkAddAtendee.find('.me input[name="attendee[]"]').val());
+		    blkAddAtendee.find('.status option').toggleClass('hidden');
+		    blkAddAtendee.find('option[value=5]').attr('selected','selected').trigger('change');
+		    blkAddAtendee.find('.request-update').removeClass('hidden');
+
+		    blkAddAtendee.find('dd.attendee-list ul.attendee-list li .button.close').parents('li').find('input[name="delegatedFrom[]"]').val(blkAddAtendee.find('.me input[name="attendee[]"]').val());
 								
-								blkAddAtendee.find('.me .participant-delegate').addClass('disable ui-button-disabled ui-state-disabled');
-								blkAddAtendee.find(".button.close").button({
-									icons: {
-										primary: "ui-icon-close"
-									},
-									text: false
-								}).click(function () {
+		    blkAddAtendee.find('.me .participant-delegate').addClass('disable ui-button-disabled ui-state-disabled');
+		    blkAddAtendee.find(".button.close").button({
+			icons: {
+			    primary: "ui-icon-close"
+			},
+			text: false
+		    }).click(function () {
 									
-									$(this).parents('li').find('input[name="delegatedFrom[]"]').val('');
-									blkAddAtendee.find('.request-update').addClass('hidden');
-									blkAddAtendee.find('.status option').toggleClass('hidden');
-									blkAddAtendee.find('option[value=1]').attr('selected','selected').trigger('change');			
-									blkAddAtendee.find('.me .participant-delegate').removeClass('disable ui-button-disabled ui-state-disabled attendee-permissions-change-button')
-									.find('.ui-icon-person').removeClass('attendee-permissions-change').end();               	
+			$(this).parents('li').find('input[name="delegatedFrom[]"]').val('');
+			blkAddAtendee.find('.request-update').addClass('hidden');
+			blkAddAtendee.find('.status option').toggleClass('hidden');
+			blkAddAtendee.find('option[value=1]').attr('selected','selected').trigger('change');			
+			blkAddAtendee.find('.me .participant-delegate').removeClass('disable ui-button-disabled ui-state-disabled attendee-permissions-change-button')
+			.find('.ui-icon-person').removeClass('attendee-permissions-change').end();               	
 									
-									DataLayer.remove('participant', $(this).parents('li').find('[type=checkbox]').val());
-									$(this).parents('li').remove();
-								})
-								.addClass('tiny');
-							}else{
-								callbackAttendee();
-								old_item.remove();
-							}
-						}
-					});
-
-					event.preventDefault();
-				}
-			});
-			//$('.block-add-attendee .search-result-list').selectable();
-
-		UI.dialogs.addEvent.find('.row.fileupload-buttonbar .button').filter('.delete').button({
-			icons: {
-				primary: "ui-icon-close"
-			},
-				text: 'Excluir'
-			}).click(function () {
-				$('.row.fileupload-buttonbar .attachments-list p').remove();
+			DataLayer.remove('participant', $(this).parents('li').find('[type=checkbox]').val());
+			$(this).parents('li').remove();
+		    })
+		    .addClass('tiny');
+		}else{
+		    callbackAttendee();
+		    old_item.remove();
+		}
+	    }
+	});
+
+	event.preventDefault();
+    }
+});
+//$('.block-add-attendee .search-result-list').selectable();
+
+UI.dialogs.addEvent.find('.row.fileupload-buttonbar .button').filter('.delete').button({
+    icons: {
+	primary: "ui-icon-close"
+    },
+    text: 'Excluir'
+}).click(function () {
+    $('.row.fileupload-buttonbar .attachments-list p').remove();
 				
-				var ids = [];
-				$.each($('.attachment-list input'), function (i, input) {ids.push(input.value);});
-				if(ids.length > 0){
-					DataLayer.remove('attachment', {filter: ['IN', 'id', ids]});
-					$('.attachment-list input').remove();
-				}
-		}).end()
-		.filter('.close').button({
-			icons: {
-				primary: "ui-icon-close"
-			},
-				text: false
-			}).click(function () {
-				DataLayer.remove('attachment', $(this).parents('p').find('input[name="fileId[]"]').val());
-				$(this).parents('p').remove();
-		}).end()
-		.filter('.downlaod-archive').button({
-			icons: {
-				primary: "ui-icon-arrowthickstop-1-s"
-			},
-				text: false
-		});
-	var maxSizeFile = 2000000;
-	$('#fileupload').fileupload({
-		sequentialUploads: true,
-		add: function (e, data) {
-			if(data.files[0].size < maxSizeFile)
-				data.submit();
-		},
-		change: function (e, data) {
-			$.each(data.files, function (index, file) {
-				var attach = {};
-				attach.fileName = file.name;
-                                var ext = file.name.split('.');
-				if(file.name.length > 10)
-					attach.fileName = ext.length == 1 ? file.name.substr(0, 10) :  file.name.substr(0, 6) + '.' + ext[ext.length -1];
-				attach.fileSize = formatBytes(file.size);
-				if(file.size > maxSizeFile)
-					attach.error = 'Tamanho de arquivo nao permitido!!'
+    var ids = [];
+    $.each($('.attachment-list input'), function (i, input) {
+	ids.push(input.value);
+    });
+    if(ids.length > 0){
+	DataLayer.remove('attachment', {
+	    filter: ['IN', 'id', ids]
+	    });
+	$('.attachment-list input').remove();
+    }
+}).end()
+.filter('.close').button({
+    icons: {
+	primary: "ui-icon-close"
+    },
+    text: false
+}).click(function () {
+    DataLayer.remove('attachment', $(this).parents('p').find('input[name="fileId[]"]').val());
+    $(this).parents('p').remove();
+}).end()
+.filter('.downlaod-archive').button({
+    icons: {
+	primary: "ui-icon-arrowthickstop-1-s"
+    },
+    text: false
+});
+var maxSizeFile = 2000000;
+$('#fileupload').fileupload({
+    sequentialUploads: true,
+    add: function (e, data) {
+	if(data.files[0].size < maxSizeFile)
+	    data.submit();
+    },
+    change: function (e, data) {
+	$.each(data.files, function (index, file) {
+	    var attach = {};
+	    attach.fileName = file.name;
+	    var ext = file.name.split('.');
+	    if(file.name.length > 10)
+		attach.fileName = ext.length == 1 ? file.name.substr(0, 10) :  file.name.substr(0, 6) + '.' + ext[ext.length -1];
+	    attach.fileSize = formatBytes(file.size);
+	    if(file.size > maxSizeFile)
+		attach.error = 'Tamanho de arquivo nao permitido!!'
 				
-				$('.attachments-list').append(DataLayer.render(path+'templates/attachment_add_itemlist.ejs', {file : attach}));
+	    $('.attachments-list').append(DataLayer.render(path+'templates/attachment_add_itemlist.ejs', {
+		file : attach
+	    }));
 				
-				if(file.size < maxSizeFile){
-					$('.fileinput-button.new').append(data.fileInput[0]).removeClass('new');
-					$('.attachments-list').find('[type=file]').addClass('hidden');
+	    if(file.size < maxSizeFile){
+		$('.fileinput-button.new').append(data.fileInput[0]).removeClass('new');
+		$('.attachments-list').find('[type=file]').addClass('hidden');
 					
-				}else
-					$('.fileinput-button.new').removeClass('new');
+	    }else
+		$('.fileinput-button.new').removeClass('new');
 				
 				
-				$('.attachments-list').find('.button.close').button({
-					icons: {
-						primary: "ui-icon-close"
-					},
-					text: false
-				}).click(function(){
-					var idAttach = $(this).parent().find('input[name="fileId[]"]').val();
-					$('.attachment-list').find('input[value="'+idAttach+'"]')
-					$(this).parent().remove();
-				});	
+	    $('.attachments-list').find('.button.close').button({
+		icons: {
+		    primary: "ui-icon-close"
+		},
+		text: false
+	    }).click(function(){
+		var idAttach = $(this).parent().find('input[name="fileId[]"]').val();
+		$('.attachment-list').find('input[value="'+idAttach+'"]')
+		$(this).parent().remove();
+	    });	
 				
-		})},
-		progress: function(e, data){
-			var value = parseInt(data.loaded / data.total * 100, 10);
-			$('.progress.in-progress:first').removeClass('hidden')
-			$('.progress.in-progress:first').progressbar({
-				value: value
-			});
-			
-			if(value == 100){
-				$('.progress.in-progress:first').removeClass('in-progress').addClass('on-complete').fadeOut('slow');
-			}
-				
-		},
-		done: function(e, data){
-			if(!!data.result && data.result != "[]"){
-				var newAttach = jQuery.parseJSON(data.result);
-				$('.attachment-list').append('<input tyepe="hidden" name="attachment[]" value="'+newAttach['attachment'][0][0].id+'"/>');
-				$('.progress.on-complete:first').removeClass('on-complete').parents('p')
-				.append('<input type="hidden" name="fileId[]" value="'+newAttach['attachment'][0][0].id+'"/>')
-				.find('.status-upload').addClass('ui-icon ui-icon-check');
-			}else
-				$('.progress.on-complete:first').removeClass('on-complete').parents('p').find('.status-upload').addClass('ui-icon ui-icon-cancel');
-		}
+	})
+	},
+    done: function(e, data){
+	var currentUpload = $('.progress.after-upload:first').removeClass('after-upload').addClass('on-complete').hide();
+
+	if(!!data.result && data.result != "[]"){
+	    var newAttach = jQuery.parseJSON(data.result);
+	    $('.attachment-list').append('<input tyepe="hidden" name="attachment[]" value="'+newAttach['attachment'][0][0].id+'"/>');
+	    currentUpload.removeClass('on-complete').parents('p')
+	    .append('<input type="hidden" name="fileId[]" value="'+newAttach['attachment'][0][0].id+'"/>')
+	    .find('.status-upload').addClass('ui-icon ui-icon-check');
+	}else
+	    currentUpload.removeClass('on-complete').parents('p').find('.status-upload').addClass('ui-icon ui-icon-cancel');
+    }
+});
+$('.attachments-list .button').button();
+			
+$('#fileupload').bind('fileuploadstart', function () {
+    var widget = $(this),
+    progressElement = $('#fileupload-progress').fadeIn(),
+    interval = 500,
+    total = 0,
+    loaded = 0,
+    loadedBefore = 0,
+    progressTimer,
+    progressHandler = function (e, data) {
+	loaded = data.loaded;
+	total = data.total;
+    },
+    stopHandler = function () {
+	widget
+	.unbind('fileuploadprogressall', progressHandler)
+	.unbind('fileuploadstop', stopHandler);
+	window.clearInterval(progressTimer);
+	progressElement.fadeOut(function () {
+	    progressElement.html('');
 	});
-	$('.attachments-list .button').button();
-			
-	$('#fileupload').bind('fileuploadstart', function () {
-		var widget = $(this),
-        progressElement = $('#fileupload-progress').fadeIn(),
-        interval = 500,
-        total = 0,
-        loaded = 0,
-        loadedBefore = 0,
-        progressTimer,
-        progressHandler = function (e, data) {
-            loaded = data.loaded;
-            total = data.total;
-        },
-        stopHandler = function () {
-            widget
-                .unbind('fileuploadprogressall', progressHandler)
-                .unbind('fileuploadstop', stopHandler);
-            window.clearInterval(progressTimer);
-            progressElement.fadeOut(function () {
-                progressElement.html('');
-            });
-        },
-        formatTime = function (seconds) {
-            var date = new Date(seconds * 1000);
-            return ('0' + date.getUTCHours()).slice(-2) + ':' +
-                ('0' + date.getUTCMinutes()).slice(-2) + ':' +
-                ('0' + date.getUTCSeconds()).slice(-2);
-        },
-       /* formatBytes = function (bytes) {
+    },
+    formatTime = function (seconds) {
+	var date = new Date(seconds * 1000);
+	return ('0' + date.getUTCHours()).slice(-2) + ':' +
+	('0' + date.getUTCMinutes()).slice(-2) + ':' +
+	('0' + date.getUTCSeconds()).slice(-2);
+    },
+    /* formatBytes = function (bytes) {
             if (bytes >= 1000000000) {
                 return (bytes / 1000000000).toFixed(2) + ' GB';
